Debian Bug report logs - #612765
does not support InRelease files downloaded by apt >= 0.8.11

version graph

Package: apt-show-versions; Maintainer for apt-show-versions is Christoph Martin <christoph.martin@uni-mainz.de>; Source for apt-show-versions is src:apt-show-versions.

Reported by: David Kalnischkies <kalnischkies@gmail.com>

Date: Thu, 10 Feb 2011 13:42:01 UTC

Severity: normal

Tags: patch

Found in version apt-show-versions/0.16

Fixed in version apt-show-versions/0.17

Done: Christoph Martin <christoph.martin@uni-mainz.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christoph Martin <christoph.martin@uni-mainz.de>:
Bug#612765; Package apt-show-versions. (Thu, 10 Feb 2011 13:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <kalnischkies@gmail.com>:
New Bug report received and forwarded. Copy sent to Christoph Martin <christoph.martin@uni-mainz.de>. (Thu, 10 Feb 2011 13:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Kalnischkies <kalnischkies@gmail.com>
To: submit@bugs.debian.org
Subject: does not support InRelease files downloaded by apt >= 0.8.11
Date: Thu, 10 Feb 2011 14:38:53 +0100
Package: apt-show-versions
Version: 0.16
Tags: patch

Hi,

APT since version 0.8.11 prefers to download the clearsigned InRelease file
instead of Release and his detached signature Release.gpg.
Unfortunately apt-show-versions only parses the Release file and
doesn't support InRelease files.

The result is e.g.:

$ apt-show-versions apt dpkg
apt/unknown upgradeable from 0.8.11 to 0.8.11.1
dpkg/unknown uptodate 1.15.8.10

Note the 'unknown' release here.

While I am not a perl programmer, I think the following patch should enable
apt-show-versions to use either *_Release or *_InRelease file and at least
does it for me in my tests:

--- apt-show-versions-0.16/apt-show-versions    2009-06-19 17:37:00.000000000
+++ apt-show-versions-0.16.1/apt-show-versions  2011-02-10 14:27:19.000000000
@@ -595,7 +595,7 @@
         or &die("Failed to open directory $list_dir: $!\n");
     while (defined(my $rel_file = readdir LIST_DIR)) {
         my $file_name = "$list_dir/$rel_file";
-        if ($rel_file =~ m/(.*)_Release$/) {
+        if ($rel_file =~ m/(.*)_(In|)Release$/) {
             $rel_file = $1;
         }
         else {


Thanks for work on this package and best regards,

David Kalnischkies




Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Martin <christoph.martin@uni-mainz.de>:
Bug#612765; Package apt-show-versions. (Fri, 18 Feb 2011 11:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <kalnischkies@gmail.com>:
Extra info received and forwarded to list. Copy sent to Christoph Martin <christoph.martin@uni-mainz.de>. (Fri, 18 Feb 2011 11:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 612765@bugs.debian.org (full text, mbox):

From: David Kalnischkies <kalnischkies@gmail.com>
To: debian-mentors@lists.debian.org
Cc: 612765@bugs.debian.org
Subject: RFS: apt-show-versions (NMU, perl)
Date: Fri, 18 Feb 2011 12:34:26 +0100
Dear mentors,

I am looking for a sponsor for my non-maintainer upload of
package "apt-show-versions" to DELAYED/<something>.

* Package name    : apt-show-versions
  Version         : 0.16+nmu1
  Upstream Author : Christoph Martin <christoph.martin@.uni-mainz.de>
    (he is also the maintainer of this package)
* License         : GPL-2
  Section         : admin

It builds these binary packages:
apt-show-versions - lists available package versions with distribution

The package appears to be lintian clean.

The upload would fix this bug 612765 [0], which fixes the inability of
a-s-v to parse the InRelease files APT downloads since version 0.8.11
if available (which is true for at least the debian archive).
The result is that the default output shows:
apt/unknown uptodate 0.8.11.5
Note the 'unknown' as it can't find the Release file to parse the codename.
So the bug isn't critical at all, "just" annoying for a user and depending
on your user pattern could be severity 'important'…
(given that it breaks the usecase depicted in the short description)

I am not a perl programmer nor even a regular user of a-s-v, so i would
prefer if someone with at least a bit of perl knowledge could have a look,
through the fix is just a trivial one line change.

I have also fixed a few lintian warnings in this upload to make the package
a bit more robust, but i am free to remove them if a sponsor would prefer it.

Looking at the other packages of the Maintainer it seems like he is
unfortunately MIA btw.

(And to make it clear: I don't intend to adopt/take over this package.)


The package can be found on mentors.debian.net:
- URL: http://mentors.debian.net/debian/pool/main/a/apt-show-versions
- Source repository: deb-src http://mentors.debian.net/debian unstable
main contrib non-free
- dget http://mentors.debian.net/debian/pool/main/a/apt-show-versions/apt-show-versions_0.16+nmu1.dsc

I would be glad if someone uploaded this package for me.

Kind regards
 David Kalnischkies

[0] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=612765




Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Martin <christoph.martin@uni-mainz.de>:
Bug#612765; Package apt-show-versions. (Fri, 18 Feb 2011 13:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Martin <martin@uni-mainz.de>:
Extra info received and forwarded to list. Copy sent to Christoph Martin <christoph.martin@uni-mainz.de>. (Fri, 18 Feb 2011 13:39:06 GMT) Full text and rfc822 format available.

Message #15 received at 612765@bugs.debian.org (full text, mbox):

From: Christoph Martin <martin@uni-mainz.de>
To: David Kalnischkies <kalnischkies@gmail.com>, <612765@bugs.debian.org>
Subject: Re: Bug#612765: does not support InRelease files downloaded by apt >= 0.8.11
Date: Fri, 18 Feb 2011 14:27:24 +0100
[Message part 1 (text/plain, inline)]
Hi David,

thanks for the patch. I will apply it as soon as possible.

Christoph

Am 10.02.2011 14:38, schrieb David Kalnischkies:
> Package: apt-show-versions
> Version: 0.16
> Tags: patch
> 
> Hi,
> 
> APT since version 0.8.11 prefers to download the clearsigned InRelease file
> instead of Release and his detached signature Release.gpg.
> Unfortunately apt-show-versions only parses the Release file and
> doesn't support InRelease files.
> 
> The result is e.g.:
> 
> $ apt-show-versions apt dpkg
> apt/unknown upgradeable from 0.8.11 to 0.8.11.1
> dpkg/unknown uptodate 1.15.8.10
> 
> Note the 'unknown' release here.
> 
> While I am not a perl programmer, I think the following patch should enable
> apt-show-versions to use either *_Release or *_InRelease file and at least
> does it for me in my tests:
> 
> --- apt-show-versions-0.16/apt-show-versions    2009-06-19 17:37:00.000000000
> +++ apt-show-versions-0.16.1/apt-show-versions  2011-02-10 14:27:19.000000000
> @@ -595,7 +595,7 @@
>          or &die("Failed to open directory $list_dir: $!\n");
>      while (defined(my $rel_file = readdir LIST_DIR)) {
>          my $file_name = "$list_dir/$rel_file";
> -        if ($rel_file =~ m/(.*)_Release$/) {
> +        if ($rel_file =~ m/(.*)_(In|)Release$/) {
>              $rel_file = $1;
>          }
>          else {
> 
> 
> Thanks for work on this package and best regards,
> 
> David Kalnischkies
> 
> 

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Christoph Martin <christoph.martin@uni-mainz.de>:
You have taken responsibility. (Fri, 18 Feb 2011 20:36:09 GMT) Full text and rfc822 format available.

Notification sent to David Kalnischkies <kalnischkies@gmail.com>:
Bug acknowledged by developer. (Fri, 18 Feb 2011 20:36:09 GMT) Full text and rfc822 format available.

Message #20 received at 612765-close@bugs.debian.org (full text, mbox):

From: Christoph Martin <christoph.martin@uni-mainz.de>
To: 612765-close@bugs.debian.org
Subject: Bug#612765: fixed in apt-show-versions 0.17
Date: Fri, 18 Feb 2011 20:32:13 +0000
Source: apt-show-versions
Source-Version: 0.17

We believe that the bug you reported is fixed in the latest version of
apt-show-versions, which is due to be installed in the Debian FTP archive:

apt-show-versions_0.17.dsc
  to main/a/apt-show-versions/apt-show-versions_0.17.dsc
apt-show-versions_0.17.tar.gz
  to main/a/apt-show-versions/apt-show-versions_0.17.tar.gz
apt-show-versions_0.17_all.deb
  to main/a/apt-show-versions/apt-show-versions_0.17_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612765@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Martin <christoph.martin@uni-mainz.de> (supplier of updated apt-show-versions package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Fri, 18 Feb 2011 14:34:48 +0100
Source: apt-show-versions
Binary: apt-show-versions
Architecture: source all
Version: 0.17
Distribution: unstable
Urgency: low
Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
Changed-By: Christoph Martin <christoph.martin@uni-mainz.de>
Description: 
 apt-show-versions - lists available package versions with distribution
Closes: 612765 613949
Changes: 
 apt-show-versions (0.17) unstable; urgency=low
 .
   * recognise new InRelease files (closes: #612765, #613949)
Checksums-Sha1: 
 be05887e0fef79eb5807d92c914d8de1a2a5a7c8 928 apt-show-versions_0.17.dsc
 0bd036fc304c4489bdbee65210f89aca273d95d9 25088 apt-show-versions_0.17.tar.gz
 3d42a4b3c4d7b239d33e15349c257faccd7c5832 33656 apt-show-versions_0.17_all.deb
Checksums-Sha256: 
 c8dd3cdde9e0fba3ef4107a433ee4e36e714e54cb052e8ef6ac89ba85c5ee410 928 apt-show-versions_0.17.dsc
 e133e11ea07f48414c4180c204c06691dc9e446499908236b966fda4d89f7b6f 25088 apt-show-versions_0.17.tar.gz
 2e16ac13702131a6b4cbdfef4fdc6b4452c784a91be1d255363b8ec3c3e53ddc 33656 apt-show-versions_0.17_all.deb
Files: 
 f63b0f43f12da62e3364059d68e71c4f 928 admin optional apt-show-versions_0.17.dsc
 0f0b7730a2096f32d3538a8c98618c81 25088 admin optional apt-show-versions_0.17.tar.gz
 19f1b3bb57978dc32930f0a7fd554342 33656 admin optional apt-show-versions_0.17_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEAREDAAYFAk1ez4UACgkQgeVih7XOVJfdqgCffaIf2QMMTPwCcrIZaP6nPq1l
fv8AoI5TsvFgq7zERqe24aQw0eU4Rc22
=CX8J
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 29 Mar 2011 07:40:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:32:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.